<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>
    <title>Document</title>
</head>
<body>
    <div id="root">
        <!-- sử dụng v-for để map các đối tượng trong mảng -->
        <ul>
            <li v-for=" (con, index) in giasuc ">{{parents}}-{{index}}- {{con.name}}</li>
        </ul>
        <!-- sử dụng v-for với một object -->

        <ul>
            <li v-for="(item,key) in object">{{key}}:{{item}}</li>
        </ul>
        <div v-for="item in object" :key="item.id "></div>
        <input type="button" @click="them" value="add"/>
        <input type="button" @click="xoa" value="xóa"/>
    </div>
    <script>
    new Vue({
        el:"#root",
        data:{
            parents:'parents',
            giasuc:[
                {name:"Gà"},
                {name:"Bò"},
                {name:"Chó"},
                {name:"Vịt"}
            ],
            object:{
                'id':Math.random(),
                'first_name':'Đinh',
                'last_name':'Trường',
                'age':'23'
            }
        },
        methods: {
            them: function(){
                this.giasuc.push({'name':'Trâu'})
            },
            xoa:function(){
                this.giasuc.pop({'name':'Trâu'})
            }
        },
    })
    </script>
</body>
</html>